Subject: bug#13479: Cross Compiling for ARM

From: Stefan Kangas <[email-masked]>
Date: Wed, 10 Jan 2024 03:11:14 -0800

Ross Biro <[email-masked]> writes:

> I just more or less successfully compiled emacs-24.2 for a Samsung Chromebook.  I did it by using the chrooted build
> environment for chromiumos.  In the process I learned a couple of things.
>
> I used the configuration:
>
> ../emacs-24.2/configure  --build=x86_64-pc-linux-gnu --host=arm-none-linux-gnueabi --target=arm-none-linux-gnueabi -
> -with-x-toolkit=no --with-xpm=no --with-jpeg=no --with-png=no --with-gif=no --with-tiff=no  --without-xml2 --without-gnutls -
> -without-x --without-dbus --with-crt-dir=/build/arm-generic/usr/lib/
>
> Obviously, I also had to CANNOT_DUMP=yes as well.
>
> 1) It doesn't look like emacs has a concept of a BUILDCC.  I like to set CC to the cross compiler since that seems to be what most
> things need.  However make-docfile and test-distrib need to be built with the local compiler.  Usually the path to the local compiler
> is stored in BUILDCC.  I just changed the $(CC) to $(BUILDCC) in the makefile for those two file and everything compiled ok.
>
> 2) The lisp and leim directories really want a local copy of emacs to compile.  Since I didn't have one available in the chrooted
> environment, I just used /bin/true.  Suboptimal, but it let the compile complete.  I didn't see an obvious way to set the path to an
> external emacs, I just edited the makefile.
>
> 3) Now, a real bug.  With an undumpped emacs, window__resize_root_window_vertically is called before it's defined.  Even
> putting if (initialzed) before the call didn't help.  I had to put  if (!EQ (XSYMBOL
> (Qwindow_resize_root_window_vertically)->function, Qunbound)) before the two calls to  call2
> (Qwindow_resize_root_window_vertically,  in window.c.
>
> Now, I'm going to try to and some more libraries and do some additional testing.  If anyone has questions, email me directly.
>
>     Ross

That was 10 years ago.  I'm therefore reaching out to ask if this bug is
still relevant, or if it has since been fixed?

If I don't hear back from you within a couple of months, Ill just assume
that this has been fixed and close this bug.

Thanks in advance.